$(document).ready(function(){
	$("#btnNuevo").click(function(){
		$(location).attr('href',path+"pacientes/paciente/formPaciente");
	});
	$.ajax({url:path+"/pacientes/paciente/datosPaciente",
		data:{},
		method:"POST",
		dataType:"JSON",
		success:function(res){
			console.log(res);
			var listPaciente=$("#listPaciente").DataTable({
				"language":{
					"url":path+"assets/js/Spanish.json"
				},
				"paging":true,
				"searching":true,
				"destroy":true,
				"data":res.datos,
				"columns":[
					{"data":"nombre"},
					{"data":"appat"},
					{"data":"apmat"},
					{data:function(data){
						var editar="editarPaciente('"+data.idPaciente+"')",historiasClinicas="";
						var adeudos="adeudosPaciente('"+data.clavePaciente+"')",eliminarPaciente="eliminarPaciente('"+data.clavePaciente+"')";
						return "<button onclick="+editar+" class='btn btn-warning btn-xs'><i class='fa fa-pencil'></i></button> "+
						"<button title='Historias Clinicas del paciente' onclick='' class='btn btn-info btn-xs'><i class='glyphicon glyphicon-list-alt'></i></button> "+
						"<button title='Adeudos del paciente' onclick="+adeudos+" class='btn btn-success btn-xs'><i class='fa fa-money'></i></button> "+
						"<button class='btn btn-danger btn-xs' onclick="+eliminarPaciente+"><i class='fa fa-trash'></i></button>";
					}}
				]
			});
			listPaciente.search(nombre).draw();
	  },error:function(res){
		  console.log(res.responseText);
	  }});
});
function editarPaciente(id)
{
	$(location).attr('href',path+"pacientes/paciente/postPaciente/"+id);
}
function adeudosPaciente(idPaciente){
	$(location).attr("href",path+"pacientes/adeudoCuenta/adeudoPaciente?id="+encodeURIComponent(idPaciente));
}
function eliminarPaciente(clave)
{
	/*if(confirm("Revise antes sino cuenta con información vigente este paciente, Confirme para eliminar este paciente")){
		
	}*/
	Swal.fire({
		title: 'Eliminar Paciente',
		text: "Revise antes sino cuenta con información vigente de este paciente!",
		icon: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: "Cancelar",
		confirmButtonText: 'Eliminar'
	}).then((result) => {
		if (result.isConfirmed) {
		  Swal.fire({
			icon:'success',
			title:"Eliminado",
			showConfirmButton: false,
			timer: 1500}
			  
			/*'Deleted!',
			'Your file has been deleted.',
			'success',1500*/)
		}
	});
}